- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::ValueVisitor Class Reference

List of all members.

## Public Member Functions
| ValueVisitor ()
virtual void | apply (GLbyte &)
virtual void | apply (GLshort &)
virtual void | apply (GLint &)
virtual void | apply (GLushort &)
virtual void | apply (GLubyte &)
virtual void | apply (GLuint &)
virtual void | apply (GLfloat &)
virtual void | apply (UByte4 &)
virtual void | apply (Vec2 &)
virtual void | apply (Vec3 &)
virtual void | apply (Vec4 &)

## Constructor & Destructor Documentation

osg::ValueVisitor::ValueVisitor | ( |  | ) | `[inline]`

## Member Function Documentation

virtual void osg::ValueVisitor::apply | ( | Vec4 & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec3 & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | Vec2 & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | UByte4 & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLfloat & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLuint & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLubyte & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLushort & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLint & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLshort & |  | ) | `[inline, virtual]`

virtual void osg::ValueVisitor::apply | ( | GLbyte & |  | ) | `[inline, virtual]`

The documentation for this class was generated from the following file:

- Array